cURL
curl --request POST \ --url https://whitebit.com/api/v4/main-account/codes/apply \ --header 'Content-Type: application/json' \ --header 'X-TXC-APIKEY: <api-key>' \ --data ' { "code": "WBe11f4fce-2a53-4edc-b195-66b693bd77e3ETH", "passphrase": "some passphrase", "request": "{{request}}", "nonce": "{{nonce}}" } '
201
Example
{ "message": "Code was successfully applied", "ticker": "ETH", "amount": "0.002", "external_id": "be08a482-5faf-11ed-9b6a-0242ac120002" }
The endpoint applies WhiteBIT code.
Rate limit: 60 requests/1 sec.
The API does not cache the response.
API key authentication using signed requests
Code that will be applied.
"WBe11f4fce-2a53-4edc-b195-66b693bd77e3ETH"
Request signature
"{{request}}"
Unique request identifier
"{{nonce}}"
Should be provided if the code was created with passphrase. Max: 25 symbols.
25
"some passphrase"
All validations succeeded and creating transaction is started
Was this page helpful?